#
# spec file for package pugixml
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2013 Asterios Dramis <asterios.dramis@gmail.com>.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

%define so_ver 1_2

Name:           pugixml
Version:        1.2
Release:        1.3
Summary:        Light-weight C++ XML Processing Library
License:        MIT
Group:          System/Libraries
Url:            http://pugixml.org/
Source0:        http://pugixml.googlecode.com/files/%{name}-%{version}.tar.gz
# PATCH-FIX-UPSTREAM fix_install_libdir.patch asterios.dramis@gmail.com -- Make the package install the library in the correct libdir (lib or lib64)
Patch0:         fix_install_libdir.patch
BuildRequires:  cmake
BuildRequires:  fdupes
BuildRequires:  gcc-c++
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
pugixml is a light-weight C++ XML processing library. It features:

- DOM-like interface with rich traversal/modification capabilities
- Extremely fast non-validating XML parser which constructs the DOM tree from
  an XML file/buffer
- XPath 1.0 implementation for complex data-driven tree queries
- Full Unicode support with Unicode interface variants and automatic encoding
  conversions

The library is extremely portable and easy to integrate and use.

%package devel
Summary:        Development Files for pugixml
Group:          Development/Libraries/C and C++
Requires:       libpugixml%{so_ver} = %{version}

%description devel
This package provides development libraries and headers needed to build
software using pugixml.

%package -n libpugixml%{so_ver}
Summary:        Light-weight C++ XML Processing Library
Group:          System/Libraries

%description -n libpugixml%{so_ver}
pugixml is a light-weight C++ XML processing library. It features:

- DOM-like interface with rich traversal/modification capabilities
- Extremely fast non-validating XML parser which constructs the DOM tree from
  an XML file/buffer
- XPath 1.0 implementation for complex data-driven tree queries
- Full Unicode support with Unicode interface variants and automatic encoding
  conversions

The library is extremely portable and easy to integrate and use.

%prep
%setup -q -c %{name}-%{version}
%patch0

%build
export CFLAGS="%{optflags}"
export CXXFLAGS="%{optflags}"
mkdir build
cd build
_libsuffix=$(echo %_lib | cut -b4-)
cmake \
    -DCMAKE_INSTALL_PREFIX=%{_prefix} \
    -DLIB_SUFFIX="$_libsuffix" \
    -DBUILD_SHARED_LIBS=ON \
    ../scripts
make %{?_smp_mflags} VERBOSE=1
cd ..

%install
%make_install -C build

%post -n libpugixml%{so_ver} -p /sbin/ldconfig

%postun -n libpugixml%{so_ver} -p /sbin/ldconfig

%files devel
%defattr(-,root,root,-)
%doc readme.txt docs/*
%{_includedir}/*.hpp
%{_libdir}/*.so

%files -n libpugixml%{so_ver}
%defattr(-,root,root,-)
%{_libdir}/libpugixml.so.1.2*

%changelog
* Sun Feb 17 2013 asterios.dramis@gmail.com
- Initial release (version 1.2).
- Added a patch (fix_install_libdir.patch) to make the package install the
  library in the correct libdir (lib or lib64).
